- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# sockstream.cpp File Reference

`#include "sockstream.h"`
`#include <sstream>`
`#include <string>`
`#include <sys/time.h>`
`#include <sys/socket.h>`
`#include <sys/ioctl.h>`
`#include <unistd.h>`
`#include <errno.h>`

Include dependency graph for sockstream.cpp:

## Defines
#define | BUFSIZ 1024
#define | FD_ZERO(p) (memset ((p), 0, sizeof *(p)))
## Functions
osockstream & | crlf (osockstream &o)
osockstream & | lfcr (osockstream &o)

## Define Documentation

#define BUFSIZ 1024

#define FD_ZERO | ( | p |  | ) | (memset ((p), 0, sizeof *(p)))

## Function Documentation

osockstream& crlf | ( | osockstream & | o | ) |

osockstream& lfcr | ( | osockstream & | o | ) |